Package com.avaya.clientservices.media.gui

## Class VideoLayerLocal

- java.lang.Object
- - com.avaya.clientservices.media.gui.NativeObject
  - - com.avaya.clientservices.media.gui.VideoSink
    - - com.avaya.clientservices.media.gui.VideoLayer
      - - com.avaya.clientservices.media.gui.VideoLayerLocal

- All Implemented Interfaces:
    `Destroyable`, `Positionable`, `Renderable`

      public class VideoLayerLocal
      extends VideoLayer

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VideoLayerLocal()` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `setBitmapLayer​(BitmapLayer bitmapLayer)` | Sets the bitmap layer to draw over the local video.
    `void` | `setBorderColor​(float r, float g, float b, float a)` | Sets the color of the border on the local video layer.
    `void` | `setBorderWidth​(float width)` | Sets the width of the border on the local video layer.
    `void` | `setCornerRadius​(float radius)` | Sets the radius of the corners on the local video layer.
    `void` | `setHidden​(boolean hidden, double duration, double time)` | Sets whether the local video layer is visible or not.
    `void` | `setMirrored​(boolean mirrored)` | Sets whether the local video layer is mirrored or not.
    `void` | `setRotated()` | Sets the local video layer to be rotated on the y-axis by 180 degrees.
    `void` | `setTintColor​(float r, float g, float b, float a)` | Sets the tint color mixed over the local video color.

    - ### Methods inherited from class com.avaya.clientservices.media.gui.VideoLayer

      `destroy, onDrawFrame, onSurfaceChanged, onSurfaceCreated, setBounds, setListener, setPosition`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VideoLayerLocal

          public VideoLayerLocal()

      Constructor.

  - ### Method Detail

    - #### setHidden

          public void setHidden​(boolean hidden,
                                double duration,
                                double time)

      Sets whether the local video layer is visible or not.
      Parameters:
        `hidden` - `true` if the local video layer should be hidden; otherwise `false`.
        `duration` - the amount of time over which to animate (in seconds).
        `time` - the current time (in seconds)

    - #### setMirrored

          public void setMirrored​(boolean mirrored)

      Sets whether the local video layer is mirrored or not. This effect will be applied to the next video frame.
      Parameters:
        `mirrored` - `true` if the local video layer should be mirrored; otherwise `false`.

    - #### setRotated

          public void setRotated()

      Sets the local video layer to be rotated on the y-axis by 180 degrees. This effect will be applied starting with the next video frame.

    - #### setCornerRadius

          public void setCornerRadius​(float radius)

      Sets the radius of the corners on the local video layer.
      Parameters:
        `radius` - the corner radius.

    - #### setBorderWidth

          public void setBorderWidth​(float width)

      Sets the width of the border on the local video layer.
      Parameters:
        `width` - the border width.

    - #### setBorderColor

          public void setBorderColor​(float r,
                                     float g,
                                     float b,
                                     float a)

      Sets the color of the border on the local video layer. The default is white (1,1,1,1)
      Parameters:
        `r` - the red component; clamped from 0 to 1.
        `g` - the green component; clamped from 0 to 1.
        `b` - the blue component; clamped from 0 to 1.
        `a` - the alpha component; clamped from 0 to 1.

    - #### setTintColor

          public void setTintColor​(float r,
                                   float g,
                                   float b,
                                   float a)

      Sets the tint color mixed over the local video color. The default is clear (0,0,0,0)
      Parameters:
        `r` - the red component; clamped from 0 to 1.
        `g` - the green component; clamped from 0 to 1.
        `b` - the blue component; clamped from 0 to 1.
        `a` - the alpha component; clamped from 0 to 1.

    - #### setBitmapLayer

          public void setBitmapLayer​(BitmapLayer bitmapLayer)

      Sets the bitmap layer to draw over the local video.
      Parameters:
        `bitmapLayer` - the bitmap layer.